import { Options as CompileJSONOptions } from "json-schema-to-typescript";
import prettier from "prettier";
export declare function prettierOptions(path: string): Promise<prettier.Options>;
export declare type Options = {
    bannerComment: string[];
    enableConstEnums: CompileJSONOptions["enableConstEnums"];
    ignoreMinAndMaxItems: CompileJSONOptions["ignoreMinAndMaxItems"];
    strictIndexSignatures: CompileJSONOptions["strictIndexSignatures"];
    unknownAny: CompileJSONOptions["unknownAny"];
    path: string;
    env: {
        MONGODB_URI: string;
        MONGODB_DATABASE: string;
    };
};
export declare const defaultOptions: Options;
export declare function parseConfig(config: string): Options;
export declare function loadConfig(): Options;
//# sourceMappingURL=options.d.ts.map